Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleLogRecord

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              com.ibm.logging.LogRecord
                  com.ibm.able.AbleLogRecord

All Implemented Interfaces:
  java.lang.Cloneable, com.ibm.logging.IConstants, com.ibm.logging.ILogRecord, com.ibm.logging.IRecordType, java.util.Map, java.io.Serializable

public class AbleLogRecord
extends com.ibm.logging.LogRecord

The AbleLogRecord class provides descriptions of the custom inferencing, parsing, and ruleset record types.

See Also:
  `Able.TRC_HIGH_INFER`, `Able.TRC_MEDIUM_INFER`, `Able.TRC_LOW_INFER`, `Able.TRC_HIGH`, `Able.TRC_MEDIUM`, `Able.TRC_LOW`, Serialized Form

Field Summary

Fields inherited from interface com.ibm.logging.IConstants
`KEY_BACKUP_CAPACITY, KEY_CLASS_NAME, KEY_CLIENT, KEY_COMPONENT, KEY_DATE_FORMAT, KEY_DEFAULT_MESSAGE_LOGGER, KEY_DEFAULT_TRACE_LOGGER, KEY_DESCRIPTION, KEY_ENCODING, KEY_FILE_NAME, KEY_FILTER_NAMES, KEY_FORMATTER_NAMES, KEY_GROUP, KEY_HANDLER_NAMES, KEY_HEX_DATA, KEY_IS_BACKUP_ENABLED, KEY_IS_CIRCULAR, KEY_IS_LOGGING, KEY_IS_SYNC, KEY_LOGGING_CLASS, KEY_LOGGING_METHOD, KEY_MASK, KEY_MAX_FILE_SIZE, KEY_MAX_FILES, KEY_MAX_MSG_CATS, KEY_MAX_RETRIES, KEY_MESSAGE_FILE, KEY_NAME, KEY_OBJECT_TYPE, KEY_ORGANIZATION, KEY_PARENT, KEY_PRODUCT, KEY_QUEUE_CAPACITY, KEY_RECORD_CLASSES, KEY_RETRY_INTERVAL, KEY_SEPARATOR, KEY_SERVER, KEY_SOCKET_PORT, KEY_SOCKET_SERVER, KEY_SUPPRESSED_KEYS, KEY_THREAD_ID, KEY_THROWABLE, KEY_THROWABLE_TRACE, KEY_TIME_FORMAT, LOG_VERSION, OBJ_TYPE_FILTER, OBJ_TYPE_FORMATTER, OBJ_TYPE_HANDLER, OBJ_TYPE_LOGGER, OBJ_TYPE_MESSAGE_LOGGER, OBJ_TYPE_TRACE_LOGGER, VALUE_LOCALIZED_DATE_TIME`

Fields inherited from interface com.ibm.logging.IRecordType
`TYPE_ALL, TYPE_API, TYPE_CALLBACK, TYPE_DEBUG_MAX, TYPE_DEBUG_MID, TYPE_DEBUG_MIN, TYPE_DEFAULT_MESSAGE, TYPE_DEFAULT_TRACE, TYPE_ENTRY, TYPE_ENTRY_EXIT, TYPE_ERR, TYPE_ERROR, TYPE_ERROR_EXC, TYPE_EXIT, TYPE_FATAL, TYPE_INFO, TYPE_INFORMATION, TYPE_LEVEL1, TYPE_LEVEL2, TYPE_LEVEL3, TYPE_MISC_DATA, TYPE_NONE, TYPE_OBJ_CREATE, TYPE_OBJ_DELETE, TYPE_PERF, TYPE_PRIVATE, TYPE_PUBLIC, TYPE_STATIC, TYPE_SVC, TYPE_WARN, TYPE_WARNING`

Constructor Summary
`AbleLogRecord()` Construct an AbleLogRecord describing the custom Able LogRecord types.

Method Summary
`java.util.Hashtable` | `getSupportedTypes()` Returns a hashtable where the key is a description of the custom type, and the object is a Long representation of its value.
`long` | `maskLongValue(java.lang.String types)` Returns a bit representation that relates combinations of each of the custom record types.
`java.lang.String` | `maskToString(long types)` Returns a blank delimited String representation of a mask value.

Methods inherited from class com.ibm.logging.LogRecord
`getAttribute, getMessageFile, getNext, getParameters, getText, getTimeStamp, getType, objectsToStrings, setAttribute, setMessageFile, setNext, setParameters, setText, setTimeStamp, setType, toString`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleLogRecord

    public AbleLogRecord()

  Construct an AbleLogRecord describing the custom Able LogRecord types.

Method Detail

### getSupportedTypes

    public java.util.Hashtable getSupportedTypes()

  Returns a hashtable where the key is a description of the custom type, and the object is a Long representation of its value.

  Returns:
    A keyed set of mask values representing each of the custom types.

### maskLongValue

    public long maskLongValue(java.lang.String types)

  Returns a bit representation that relates combinations of each of the custom record types. For example, a handler logging medium level inferencing also should log low level inferencing. This method bit-ors the Able#TRC_MEDIUM_INFER and Able#TRC_LOW_INFER values.

  Parameters:
    `types` - A blank delimited set of record types such as "TRC_MEDIUM_INFER TRC_LOW_INFER".
  Returns:
    A bit mask allowing all implied records.

### maskToString

    public java.lang.String maskToString(long types)

  Returns a blank delimited String representation of a mask value.

  Parameters:
    `types` - A mask value.
  Returns:
    A blank-delimited representation of the on-bits in the mask.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005